## software-properties-qt 0.99.48.1

=== debian/changelog ===
software-properties-qt (0.99.48.1) noble; urgency=medium

  [ Simon Quigley ]
  * Add Qt frontend for deb822 sources, which is now the default in Noble
    (LP: #2061214).

  [ Julian Andres Klode ]
  * Temporarily split the -qt package out into its own package to be
    able to respin just the -qt packages. This is versioned at 0.99.48.1
    to supersede the software-properties-qt binary of the software-properties
    package in the release pocket (0.99.48), but then will be superseded
    again by software-properties in the updates pocket (0.99.49); the
    python3-softwareproperties Depends has been edited accordingly to
    require the release pocket version of it.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 23 Apr 2024 18:32:46 +0200

software-properties (0.99.48) noble; urgency=medium

  * Fix Python's warning of invalid escape sequence (LP: #2059412).
  * Make pressing enter on close button of out-of-date cache dialog trigger
    the close button, not the reload button (LP: #2061978).
  * Limit the comments in 'other software' tab to a single line (LP: #2060915).
  * apt-add-repository --list now displays deb822 sources (LP: #2060331).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 18 Apr 2024 09:17:51 +0200

software-properties (0.99.47) noble; urgency=medium

  * Fix failed removal of Deb822 formated source in "Other Software" tab
    (LP: #2059796).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 09 Apr 2024 09:02:50 +0200

software-properties (0.99.46) noble; urgency=medium

  * ppa: do not enable deb822 logic when input is sources.list line or URI
    (LP: #2037210)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 28 Mar 2024 14:47:51 -0400

software-properties (0.99.45) noble; urgency=medium

  * softwareproperties/gtk/utils.py: use `pro` instead of `ua`
  * d/control: Depend on ubuntu-pro-client instead of ubuntu-advantage-tools
    (LP: #2057671)

 -- Calvin Mwadime <calvin.mwadime@canonical.com>  Thu, 28 Mar 2024 12:35:35 +0300

software-properties (0.99.44) noble; urgency=medium

  * Handle backup and restore of deb822 sources (LP: #2053228)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 20 Mar 2024 13:18:16 +0100

software-properties (0.99.43) noble; urgency=medium

  * Fix autopkgtest: Make sure directory exists before trying to create file
    in it (LP: #2058035).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 15 Mar 2024 14:36:30 +0100

software-properties (0.99.42) noble; urgency=medium

  * Support deb822 lists for Ubuntu sources (LP: #2033949)
  * Bump python3-apt dependency to 2.7.1~

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 05 Dec 2023 18:47:47 +0100

software-properties (0.99.40) noble; urgency=medium

  * cloudarchive: Enable support for the Caracal Ubuntu Cloud Archive on
    22.04 (LP: #2040273).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Oct 2023 08:20:52 -0400

software-properties (0.99.39) mantic; urgency=medium

  * Add cjwatson patch to use getArchiveSubscriptionURL() for private PPAs
  * Fix getArchiveSubscriptionURL() API call and tests
  * Resolve adding private PPAs, which do not yet have a token LP: #1991553

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 25 Aug 2023 22:17:31 +0100

software-properties (0.99.38) mantic; urgency=medium

  * Stop using KUrl and KFileDialog (LP: #1795278).

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 22 Aug 2023 22:57:54 -0500

software-properties (0.99.37) mantic; urgency=medium

  [ Nick Rosbrook ]
  * Enable deb822 support for PPAs, with GPG key embedded in .sources file.

  [ Julian Andres Klode ]
  * Minor tweaks to the deb822 PPA support

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 16 May 2023 10:57:35 +0200

software-properties (0.99.36) mantic; urgency=medium

  * cloudarchive: Enable support for the Bobcat Ubuntu Cloud Archive on
    22.04 (LP: #2018457).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 10:12:11 +0200

software-properties (0.99.35) lunar; urgency=medium

  * Revert the previous change, the service isn't ready

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Mar 2023 21:29:03 +0200

software-properties (0.99.34) lunar; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Enable the Ubuntu Pro tab also in interim releases
    (FFe lp: #2011697)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Mar 2023 10:49:45 +0100

software-properties (0.99.33) lunar; urgency=medium

  [ Sebastien Bacher ]
  * Replace the ubuntu pro images using the version provided by design

  [ Nick Rosbrook ]
  * Add GTK edit dialog for deb822 sources
  * Add deb822 parameter to SoftwareProperties class
  * Bump python3-apt dependency to >= 2.5.3

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 23 Feb 2023 11:27:37 -0500

software-properties (0.99.32) lunar; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Disable the Ubuntu Pro UI with an explanation when not connected
    (lp: #2004634)
  * Catch exceptions to wait (lp: #2003996)
  * Initialize pin as empty string (lp: #2004245)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Feb 2023 15:37:06 +0100

software-properties (0.99.31) lunar; urgency=medium

  * Upload extra tweaks to the Ubuntu Pro tab

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Jan 2023 11:29:37 +0100

software-properties (0.99.30) lunar; urgency=medium

  * Update for the Ubuntu Pro tab, thanks Nathan Pratta Teodosio

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Dec 2022 22:38:10 +0100

software-properties (0.99.29) lunar; urgency=medium

  * cloudarchive: Enable support for the Antelope Ubuntu Cloud Archive on
    22.04 (LP: #1996067).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Dec 2022 14:26:51 -0500

software-properties (0.99.28.1) kinetic; urgency=medium

  * softwareproperties/qt/SoftwarePropertiesQt.py: Don't crash if the driver
    package does not have a matching modules package (LP: #1993370)


