=== debian/control ===
Source: software-properties-qt
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               dh-python,
               dh-translations,
               gir1.2-gtk-3.0 <!nocheck>,
               gpg,
               gpg-agent,
               intltool,
               libxml-parser-perl,
               lsb-release <!nocheck>,
               pyflakes3 <!nocheck>,
               python3-all,
               python3-apt (>= 2.7.1~) <!nocheck>,
               python3-dateutil <!nocheck>,
               python3-dbus <!nocheck>,
               python3-distro-info <!nocheck>,
               python3-distutils-extra,
               python3-gi <!nocheck>,
               python3-launchpadlib,
               python3-setuptools,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://git.launchpad.net/software-properties
Vcs-Git: https://git.launchpad.net/software-properties -b ubuntu/master
XS-Testsuite: autopkgtest

Package: software-properties-qt
Architecture: all
Depends: debconf-kde-helper,
         python3,
         python3-pyqt5,
         python3-software-properties (= 0.99.48),
         software-properties-common,
         ${misc:Depends},
         ${python3:Depends}
Description: manage the repositories that you install software from (Qt)
 This software provides an abstraction of the used apt repositories.
 It allows you to easily manage your distribution and independent software
 vendor software sources.
 .
 This package contains a Qt-based graphical interface.
