=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,translations --buildsystem=pybuild

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_test:
	dbus-run-session -- dh_auto_test

override_dh_auto_install:
	# We only have a single package temporarily so we need to manually set debian/tmp here
	dh_auto_install --destdir=debian/tmp
